PostgreSQL 8.4.4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_copytuple

## Name

SPI_copytuple -- make a copy of a row in the upper executor context

## Synopsis

    HeapTuple SPI_copytuple(HeapTuple row)

## Description

`SPI_copytuple` makes a copy of a row in the upper executor context. This is normally used to return a modified row from a trigger. In a function declared to return a composite type, use `SPI_returntuple` instead.

## Arguments

`HeapTuple `row``

  row to be copied

## Return Value

the copied row; `NULL` only if `tuple` is `NULL`

Prev | Home | Next
SPI_pfree | Up | SPI_returntuple